%global url_ver %%(echo %{version} | cut -d. -f1)

Summary:       Process and resource monitor
Name:          gnome-system-monitor
Version:       42.0
Release:       6%{?dist}
License:       GPLv2+
URL:           https://wiki.gnome.org/Apps/SystemMonitor
Source0:       https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires: gcc gcc-c++ meson desktop-file-utils gettext itstool
BuildRequires: pkgconfig(gtk+-3.0) pkgconfig(gtkmm-3.0) pkgconfig(libhandy-1) pkgconfig(libgtop-2.0)
BuildRequires: pkgconfig(libsystemd) pkgconfig(librsvg-2.0) pkgconfig(libxml-2.0)
Requires:      hicolor-icon-theme libgtop2 libhandy

%description
gnome-system-monitor allows to graphically view and manipulate the running processes on your system.
It also provides an overview of available resources such as CPU and memory.

%prep
%autosetup -p1 -n %{name}-%{version}

%build
%meson
%meson_build

%install
%meson_install
%find_lang %{name} --with-gnome

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/gnome-system-monitor.desktop
desktop-file-validate %{buildroot}%{_datadir}/applications/gnome-system-monitor-kde.desktop

%files -f %{name}.lang
%license COPYING
%doc AUTHORS NEWS README.md
%{_bindir}/gnome-system-monitor
%{_libexecdir}/gnome-system-monitor/
%{_datadir}/applications/gnome-system-monitor.desktop
%{_datadir}/applications/gnome-system-monitor-kde.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.gnome-system-monitor.enums.xml
%{_datadir}/glib-2.0/schemas/org.gnome.gnome-system-monitor.gschema.xml
%{_datadir}/gnome-system-monitor/
%{_datadir}/icons/hicolor/scalable/apps/org.gnome.SystemMonitor*.svg
%{_datadir}/icons/hicolor/symbolic/apps/org.gnome.SystemMonitor-symbolic.svg
%{_datadir}/icons/hicolor/symbolic/apps/speedometer-symbolic.svg
%{_datadir}/metainfo/gnome-system-monitor.appdata.xml
%{_datadir}/polkit-1/actions/org.gnome.gnome-system-monitor.policy

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 42.0-6
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 42.0-5
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Aug 18 2023 Wang Guodong <gordonwwang@tencent.com> - 42.0-4
- Rebuilt for librsvg2 2.56.90

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 42.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 42.0-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Mar 10 2023 Shuo Wang <abushwang@tencent.com> - 42.0-1
- initial build
